
Redmine - Defect #4648

Using repository comments to change issue status conflicts with workflow

2010-01-25 14:24 - Sebastian Cabot

Status: New Start date: 2010-01-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Consider the following status workflow options:

The Bug Tracker has both Resolved and Closed.

The Feature Tracker has only Closed.

If I configure the repository setting to use the fixes keyword to change the status to Resolved.

If I commit a change that says fixes #30 and #30 is a feature I will not be able to modify the status for that issue anymore (unless I

change the workflow).

In my opinion it should be fixed to either allow different repository options per tracker (BEST)

Or to allow a status change hierarchy say first resolved than closed than x etc.

Or to allow specific status change from the comment (something like set #30 closed) - Maybe this should be implemented anyways

Or not to change the status to a status that is not in the workflow.

Related issues:

Related to Redmine - Feature #1232: Referencing and fixing issues in commit m... New 2008-05-13

Related to Redmine - Defect #1513: Fixing issues in commit messages can break... Reopened 2008-06-21

History

#1 - 2010-05-04 14:22 - Sebastian Cabot

Any news?

#2 - 2011-02-09 08:38 - Toshi MARUYAMA

- Category changed from Administration to SCM
